This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1279326 - In windows OS & firefox brower,Window.Location.replace(url) would stop System to execute Command, and would not catch any error info.But other OS like firefox in linux would not happen like that.
In windows OS & firefox brower,Window.Location.replace(url) would stop System...
Status: CLOSED NOTABUG
Product: ovirt-engine
Classification: oVirt
Component: Build.GWT (Show other bugs)
3.4.4
x86_64 Windows
unspecified Severity urgent (vote)
: ---
: ---
Assigned To: vszocs
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 03:03 EST by BeiWen
Modified: 2015-11-12 00:42 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 09:53:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description BeiWen 2015-11-09 03:03:46 EST
Description of problem:
I want to redirct the page when ovirt admin logout, so I add :Window.Location.replace("/test.html") in ApplicationPlaceManager.java as below:
 @Override
    public void revealDefaultPlace() {
        PlaceRequest pr = getDefaultPlace();
        if (pr == null) {
            //Window.Location.replace("/test.html"); //$NON-NLS-1$
        } else {
            revealPlace(pr);
        }
    }
or in LoginModel.java\BaseApplicationInit.java etc.
It can achieve to redirect by chrome,IE and firefox in Linux, and would execute LogoutUserCommand to clean user session,Then at firefox in Windows no matter which version, it could redirect but would not execute LogoutUserCommand, so I can log into System by previous URL without password. 
How can I redirect URL when logout?Is there any config files for this? I could not find it, thanks a lot :)

Version-Release number of selected component (if applicable):
3.4.5

How reproducible:
yes

Steps to Reproduce:
1.update code:ApplicationPlaceManager.java
 public void revealDefaultPlace() {
        PlaceRequest pr = getDefaultPlace();
        if (pr == null) {
            //Window.Location.replace("/test.html"); //$NON-NLS-1$
        } else {
            revealPlace(pr);
        }
    }
2.login system and logout
3.input previous url like :xxxxxx/ovirt-engine/webadmin/?locale=zh_CN#vms
and can redirect.

Actual results:
redirect into vm page.

Expected results:
redirect into login page.

Additional info:
Comment 1 BeiWen 2015-11-09 03:24:36 EST
Window.Location.replace is from com.google.gwt.user.client.Window
Comment 2 Yaniv Kaul 2015-11-10 05:40:11 EST
Hi, did you try to ask this question on the user mailing list? It doesn't look like a bug to me.
Comment 3 Einav Cohen 2015-11-10 09:53:43 EST
(In reply to Yaniv Kaul from comment #2)
> Hi, did you try to ask this question on the user mailing list? It doesn't
> look like a bug to me.

correct. this is an attempt to modify the code, this isn't an issue for bugzilla, but for devel@ovirt.org mailing list / gerrit (in case you want to send a patch). thanks.
Comment 4 BeiWen 2015-11-12 00:42:04 EST
(In reply to Einav Cohen from comment #3)
> (In reply to Yaniv Kaul from comment #2)
> > Hi, did you try to ask this question on the user mailing list? It doesn't
> > look like a bug to me.
> 
> correct. this is an attempt to modify the code, this isn't an issue for
> bugzilla, but for devel@ovirt.org mailing list / gerrit (in case you want to
> send a patch). thanks.

Thanks :)

Note You need to log in before you can comment on or make changes to this bug.